glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.14

Member Glib::get_user_cache_dir ()
Member Glib::get_user_config_dir ()
Member Glib::get_user_data_dir ()
Member Glib::get_user_special_dir (GUserDirectory directory)
Class Glib::KeyFile
Member Glib::KeyFile::get_double (const Glib::ustring& group_name, const Glib::ustring& key) const
Member Glib::KeyFile::get_double (const Glib::ustring& key) const
Member Glib::KeyFile::load_from_dirs (const std::string& file, const Glib::ArrayHandle< std::string >& search_dirs, Glib::ArrayHandle< std::string >& full_path, KeyFileFlags flags=Glib::KEY_FILE_NONE)
Member Glib::KeyFile::load_from_dirs (const std::string& file, const Glib::ArrayHandle< std::string >& search_dirs, std::string& full_path, KeyFileFlags flags=Glib::KEY_FILE_NONE)
Member Glib::KeyFile::set_double_list (const Glib::ustring& group_name, const Glib::ustring& key, const Glib::ArrayHandle< double >& list)
Member Glib::MatchInfo::expand_references (const Glib::ustring& string_to_expand)
  Parameters

    string_to_expand | The string to expand.

  Returns
    The expanded string, or `0` if an error occurred.
Member Glib::MatchInfo::fetch (int match_num)
  Parameters

    match_num | Number of the sub expression.

  Returns
    The matched substring, or `0` if an error occurred. You have to free the string yourself.
Member Glib::MatchInfo::fetch_all ()
  Returns
    A `0`-terminated array of gchar * pointers. It must be freed using g_strfreev(). If the previous match failed `0` is returned.
Member Glib::MatchInfo::fetch_named (const Glib::ustring& name)
  Parameters

    name | Name of the subexpression.

  Returns
    The matched substring, or `0` if an error occurred. You have to free the string yourself.
Member Glib::MatchInfo::fetch_named_pos (const Glib::ustring& name, int& start_pos, int& end_pos)
  Parameters

    name | Name of the subexpression.
    start_pos | Pointer to location where to store the start position, or `0`.
    end_pos | Pointer to location where to store the end position, or `0`.

  Returns
    `true` if the position was fetched, `false` otherwise. If the position cannot be fetched, start_pos and end_pos are left unchanged.
Member Glib::MatchInfo::fetch_pos (int match_num, int& start_pos, int& end_pos)
  Parameters

    match_num | Number of the sub expression.
    start_pos | Pointer to location where to store the start position, or `0`.
    end_pos | Pointer to location where to store the end position, or `0`.

  Returns
    `true` if the position was fetched, `false` otherwise. If the position cannot be fetched, start_pos and end_pos are left unchanged.
Member Glib::MatchInfo::get_match_count () const
  Returns
    Number of matched substrings, or -1 if an error occurred.
Member Glib::MatchInfo::get_regex () const
  Returns
    Regex object used in match_info.
Member Glib::MatchInfo::get_regex ()
  Returns
    Regex object used in match_info.
Member Glib::MatchInfo::get_string () const
  Returns
    The string searched with match_info.
Member Glib::MatchInfo::is_partial_match () const
  Returns
    `true` if the match was partial, `false` otherwise.
Member Glib::MatchInfo::matches () const
  Returns
    `true` if the previous match operation succeeded, `false` otherwise.
Member Glib::MatchInfo::next ()
  Returns
    `true` is the string matched, `false` otherwise.
Member Glib::OptionContext::get_help (bool main_help, const OptionGroup& group) const
  Parameters

    main_help | If `true`, only include the main group.
    group | The OptionGroup to create help for, or `0`.

  Returns
    A newly allocated string containing the help text.
Member Glib::OptionContext::set_translate_func (const SlotTranslate& slot)
Class Glib::Regex
Member Glib::Regex::check_replacement (const Glib::ustring& replacement, gboolean* has_references)
  Parameters

    replacement | The replacement string.
    has_references | Location to store information about references in replacement or `0`.

  Returns
    Whether replacement is a valid replacement string.
Member Glib::Regex::get_capture_count () const
  Returns
    The number of capturing subpatterns.
Member Glib::Regex::get_max_backref () const
  Returns
    The number of the highest back reference.
Member Glib::Regex::get_pattern () const
  Returns
    The pattern of regex.
Member Glib::Regex::get_string_number (const Glib::ustring& name) const
  Parameters

    name | Name of the subexpression.

  Returns
    The number of the subexpression or -1 if name does not exists.
Member Glib::Regex::match (const Glib::ustring& string, gssize string_len, int start_position, Glib::MatchInfo& match_info, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to scan for matches.
    string_len | The length of string, or -1 if string is nul-terminated.
    start_position | Starting index of the string to match.
    match_options | Match options.
    match_info | Pointer to location where to store the MatchInfo, or `0` if you do not need it.

  Returns
    `true` is the string matched, `false` otherwise.
Member Glib::Regex::match (const Glib::ustring& string, Glib::MatchInfo& match_info, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to scan for matches.
    match_options | Match options.
    match_info | Pointer to location where to store the MatchInfo, or `0` if you do not need it.

  Returns
    `true` is the string matched, `false` otherwise.
Member Glib::Regex::match_all (const Glib::ustring& string, Glib::MatchInfo& match_info, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to scan for matches.
    match_options | Match options.
    match_info | Pointer to location where to store the MatchInfo, or `0` if you do not need it.

  Returns
    `true` is the string matched, `false` otherwise.
Member Glib::Regex::match_all (const Glib::ustring& string, gssize string_len, int start_position, Glib::MatchInfo& match_info, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to scan for matches.
    string_len | The length of string, or -1 if string is nul-terminated.
    start_position | Starting index of the string to match.
    match_options | Match options.
    match_info | Pointer to location where to store the MatchInfo, or `0` if you do not need it.

  Returns
    `true` is the string matched, `false` otherwise.
Member Glib::Regex::match_simple (const Glib::ustring& pattern, const Glib::ustring& string, RegexCompileFlags compile_options=static_cast< RegexCompileFlags >(0), RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    pattern | The regular expression.
    string | The string to scan for matches.
    compile_options | Compile options for the regular expression, or 0.
    match_options | Match options, or 0.

  Returns
    `true` if the string matched, `false` otherwise.
Member Glib::Regex::replace (const gchar* string, gssize string_len, int start_position, const Glib::ustring& replacement, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to perform matches against.
    string_len | The length of string, or -1 if string is nul-terminated.
    start_position | Starting index of the string to match.
    replacement | Text to replace each match with.
    match_options | Options for the match.

  Returns
    A newly allocated string containing the replacements.
Member Glib::Regex::replace_eval (const Glib::ustring& string, gssize string_len, int start_position, RegexMatchFlags match_options, GRegexEvalCallback eval, gpointer user_data)
  Parameters

    string | String to perform matches against.
    string_len | The length of string, or -1 if string is nul-terminated.
    start_position | Starting index of the string to match.
    match_options | Options for the match.
    eval | A function to call for each match.
    user_data | User data to pass to the function.

  Returns
    A newly allocated string containing the replacements.
Member Glib::Regex::replace_literal (const gchar* string, gssize string_len, int start_position, const Glib::ustring& replacement, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to perform matches against.
    string_len | The length of string, or -1 if string is nul-terminated.
    start_position | Starting index of the string to match.
    replacement | Text to replace each match with.
    match_options | Options for the match.

  Returns
    A newly allocated string containing the replacements.
Member Glib::Regex::split (const gchar* string, gssize string_len, int start_position, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0), int max_tokens=0) const
  Parameters

    string | The string to split with the pattern.
    string_len | The length of string, or -1 if string is nul-terminated.
    start_position | Starting index of the string to match.
    match_options | Match time option flags.
    max_tokens | The maximum number of tokens to split string into. If this is less than 1, the string is split completely.

  Returns
    A `0`-terminated gchar ** array. Free it using g_strfreev().
Member Glib::Regex::split (const Glib::ustring& string, RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    string | The string to split with the pattern.
    match_options | Match time option flags.

  Returns
    A `0`-terminated gchar ** array. Free it using g_strfreev().
Member Glib::Regex::split_simple (const Glib::ustring& pattern, const Glib::ustring& string, RegexCompileFlags compile_options=static_cast< RegexCompileFlags >(0), RegexMatchFlags match_options=static_cast< RegexMatchFlags >(0))
  Parameters

    pattern | The regular expression.
    string | The string to scan for matches.
    compile_options | Compile options for the regular expression, or 0.
    match_options | Match options, or 0.

  Returns
    A `0`-terminated array of strings. Free it using g_strfreev().
Member Glib::SignalTimeout::connect_seconds (const sigc::slot< bool >& slot, unsigned int interval, int priority=PRIORITY_DEFAULT)